Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.HiddenInfoSettingData Class Reference

Configuration settings for removing hidden or sensitive data from a PDF document.
More...

## Public Member Functions
| HiddenInfoSettingData ()
| Constructs a HiddenDataSetting object with all removal options enabled by default.
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | getEnable_remove_bookmark ()
| Get a boolean value indicating whether to remove bookmarks. More...
boolean | getEnable_remove_comment ()
| Get a boolean value indicating whether to remove comments and annotations. More...
boolean | getEnable_remove_content ()
| Get a boolean value indicating whether to remove invisible or obscured content. More...
boolean | getEnable_remove_fileattachment ()
| Get a boolean value indicating whether to remove embedded file attachments. More...
boolean | getEnable_remove_form_fields ()
| Get a boolean value indicating whether to remove interactive form fields. More...
boolean | getEnable_remove_hidden_layer ()
| Get a boolean value indicating whether to remove hidden layers (Optional Content Groups). More...
boolean | getEnable_remove_hidden_text ()
| Get a boolean value indicating whether to remove hidden text. More...
boolean | getEnable_remove_link ()
| Get a boolean value indicating whether to remove hyperlink annotations. More...
boolean | getEnable_remove_metadata ()
| Get a boolean value indicating whether to remove document metadata. More...
boolean | getEnable_remove_overlaping ()
| Get a boolean value indicating whether to remove overlapping objects. More...
boolean | getEnable_remove_searchIndex ()
| Get a boolean value indicating whether to remove the search index. More...
void | setEnable_remove_bookmark (boolean value)
| Set a boolean value indicating whether to remove bookmarks. More...
void | setEnable_remove_comment (boolean value)
| Set a boolean value indicating whether to remove comments and annotations. More...
void | setEnable_remove_content (boolean value)
| Set a boolean value indicating whether to remove invisible or obscured content. More...
void | setEnable_remove_fileattachment (boolean value)
| Set a boolean value indicating whether to remove embedded file attachments. More...
void | setEnable_remove_form_fields (boolean value)
| Set a boolean value indicating whether to remove interactive form fields. More...
void | setEnable_remove_hidden_layer (boolean value)
| Set a boolean value indicating whether to remove hidden layers (Optional Content Groups). More...
void | setEnable_remove_hidden_text (boolean value)
| Set a boolean value indicating whether to remove hidden text. More...
void | setEnable_remove_link (boolean value)
| Set a boolean value indicating whether to remove hyperlink annotations. More...
void | setEnable_remove_metadata (boolean value)
| Set a boolean value indicating whether to remove document metadata. More...
void | setEnable_remove_overlaping (boolean value)
| Set a boolean value indicating whether to remove overlapping objects. More...
void | setEnable_remove_searchIndex (boolean value)
| Set a boolean value indicating whether to remove the search index. More...

## Detailed Description

Configuration settings for removing hidden or sensitive data from a PDF document.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.HiddenInfoSettingData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getEnable_remove_bookmark()

com.foxit.sdk.pdf.HiddenInfoSettingData.getEnable_remove_bookmark | ( |  | ) |

Get a boolean value indicating whether to remove bookmarks.

Bookmarks are document outlines that may reveal document structure or private section names.

Returns
  A boolean value indicating whether to remove bookmarks.

## ◆ getEnable_remove_comment()

com.foxit.sdk.pdf.HiddenInfoSettingData.getEnable_remove_comment | ( |  | ) |

Get a boolean value indicating whether to remove comments and annotations.

Comments may contain personal notes, editorial feedback, or private data.

Returns
  A boolean value indicating whether to remove comments and annotations.

## ◆ getEnable_remove_content()

com.foxit.sdk.pdf.HiddenInfoSettingData.getEnable_remove_content | ( |  | ) |

Get a boolean value indicating whether to remove invisible or obscured content.

Includes content fully covered by other elements or outside the visible page area.

Returns
  A boolean value indicating whether to remove invisible or obscured content.

## ◆ getEnable_remove_fileattachment()

com.foxit.sdk.pdf.HiddenInfoSettingData.getEnable_remove_fileattachment | ( |  | ) |

Get a boolean value indicating whether to remove embedded file attachments.

File attachments may contain hidden or unrelated external content embedded in the PDF.

Returns
  A boolean value indicating whether to remove embedded file attachments.

## ◆ getEnable_remove_form_fields()

com.foxit.sdk.pdf.HiddenInfoSettingData.getEnable_remove_form_fields | ( |  | ) |

Get a boolean value indicating whether to remove interactive form fields.

Form fields such as text boxes and checkboxes may store sensitive user input.

Returns
  A boolean value indicating whether to remove interactive form fields.

## ◆ getEnable_remove_hidden_layer()

com.foxit.sdk.pdf.HiddenInfoSettingData.getEnable_remove_hidden_layer | ( |  | ) |

Get a boolean value indicating whether to remove hidden layers (Optional Content Groups).

Hidden layers can contain text or graphics not visible in normal viewing mode.

Returns
  A boolean value indicating whether to remove hidden layers (Optional Content Groups).

## ◆ getEnable_remove_hidden_text()

com.foxit.sdk.pdf.HiddenInfoSettingData.getEnable_remove_hidden_text | ( |  | ) |

Get a boolean value indicating whether to remove hidden text.

Hidden text may be visually invisible but still accessible through text extraction.

Returns
  A boolean value indicating whether to remove hidden text.

## ◆ getEnable_remove_link()

com.foxit.sdk.pdf.HiddenInfoSettingData.getEnable_remove_link | ( |  | ) |

Get a boolean value indicating whether to remove hyperlink annotations.

Links may lead to external sites or reference internal sensitive sections.

Returns
  A boolean value indicating whether to remove hyperlink annotations.

## ◆ getEnable_remove_metadata()

com.foxit.sdk.pdf.HiddenInfoSettingData.getEnable_remove_metadata | ( |  | ) |

Get a boolean value indicating whether to remove document metadata.

Metadata may contain title, author, keywords, and other hidden descriptive information.

Returns
  A boolean value indicating whether to remove document metadata.

## ◆ getEnable_remove_overlaping()

com.foxit.sdk.pdf.HiddenInfoSettingData.getEnable_remove_overlaping | ( |  | ) |

Get a boolean value indicating whether to remove overlapping objects.

Overlapping elements can be used to obscure sensitive content or create misleading visuals.

Returns
  A boolean value indicating whether to remove overlapping objects.

## ◆ getEnable_remove_searchIndex()

com.foxit.sdk.pdf.HiddenInfoSettingData.getEnable_remove_searchIndex | ( |  | ) |

Get a boolean value indicating whether to remove the search index.

Search indexes speed up full-text search but may retain hidden or outdated content.

Returns
  A boolean value indicating whether to remove the search index.

## ◆ setEnable_remove_bookmark()

com.foxit.sdk.pdf.HiddenInfoSettingData.setEnable_remove_bookmark | ( | boolean | value | ) |

Set a boolean value indicating whether to remove bookmarks.

Bookmarks are document outlines that may reveal document structure or private section names.

Parameters

  [in] | value | A boolean value indicating whether to remove bookmarks.

Returns
  None.

## ◆ setEnable_remove_comment()

com.foxit.sdk.pdf.HiddenInfoSettingData.setEnable_remove_comment | ( | boolean | value | ) |

Set a boolean value indicating whether to remove comments and annotations.

Comments may contain personal notes, editorial feedback, or private data.

Parameters

  [in] | value | A boolean value indicating whether to remove comments and annotations.

Returns
  None.

## ◆ setEnable_remove_content()

com.foxit.sdk.pdf.HiddenInfoSettingData.setEnable_remove_content | ( | boolean | value | ) |

Set a boolean value indicating whether to remove invisible or obscured content.

Includes content fully covered by other elements or outside the visible page area.

Parameters

  [in] | value | A boolean value indicating whether to remove invisible or obscured content.

Returns
  None.

## ◆ setEnable_remove_fileattachment()

com.foxit.sdk.pdf.HiddenInfoSettingData.setEnable_remove_fileattachment | ( | boolean | value | ) |

Set a boolean value indicating whether to remove embedded file attachments.

File attachments may contain hidden or unrelated external content embedded in the PDF.

Parameters

  [in] | value | A boolean value indicating whether to remove embedded file attachments.

Returns
  None.

## ◆ setEnable_remove_form_fields()

com.foxit.sdk.pdf.HiddenInfoSettingData.setEnable_remove_form_fields | ( | boolean | value | ) |

Set a boolean value indicating whether to remove interactive form fields.

Form fields such as text boxes and checkboxes may store sensitive user input.

Parameters

  [in] | value | A boolean value indicating whether to remove interactive form fields.

Returns
  None.

## ◆ setEnable_remove_hidden_layer()

com.foxit.sdk.pdf.HiddenInfoSettingData.setEnable_remove_hidden_layer | ( | boolean | value | ) |

Set a boolean value indicating whether to remove hidden layers (Optional Content Groups).

Hidden layers can contain text or graphics not visible in normal viewing mode.

Parameters

  [in] | value | A boolean value indicating whether to remove hidden layers (Optional Content Groups).

Returns
  None.

## ◆ setEnable_remove_hidden_text()

com.foxit.sdk.pdf.HiddenInfoSettingData.setEnable_remove_hidden_text | ( | boolean | value | ) |

Set a boolean value indicating whether to remove hidden text.

Hidden text may be visually invisible but still accessible through text extraction.

Parameters

  [in] | value | A boolean value indicating whether to remove hidden text.

Returns
  None.

## ◆ setEnable_remove_link()

com.foxit.sdk.pdf.HiddenInfoSettingData.setEnable_remove_link | ( | boolean | value | ) |

Set a boolean value indicating whether to remove hyperlink annotations.

Links may lead to external sites or reference internal sensitive sections.

Parameters

  [in] | value | A boolean value indicating whether to remove hyperlink annotations.

Returns
  None.

## ◆ setEnable_remove_metadata()

com.foxit.sdk.pdf.HiddenInfoSettingData.setEnable_remove_metadata | ( | boolean | value | ) |

Set a boolean value indicating whether to remove document metadata.

Metadata may contain title, author, keywords, and other hidden descriptive information.

Parameters

  [in] | value | A boolean value indicating whether to remove document metadata.

Returns
  None.

## ◆ setEnable_remove_overlaping()

com.foxit.sdk.pdf.HiddenInfoSettingData.setEnable_remove_overlaping | ( | boolean | value | ) |

Set a boolean value indicating whether to remove overlapping objects.

Overlapping elements can be used to obscure sensitive content or create misleading visuals.

Parameters

  [in] | value | A boolean value indicating whether to remove overlapping objects.

Returns
  None.

## ◆ setEnable_remove_searchIndex()

com.foxit.sdk.pdf.HiddenInfoSettingData.setEnable_remove_searchIndex | ( | boolean | value | ) |

Set a boolean value indicating whether to remove the search index.

Search indexes speed up full-text search but may retain hidden or outdated content.

Parameters

  [in] | value | A boolean value indicating whether to remove the search index.

Returns
  None.